package contract_request

import (
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
)

type ContractMainsonTaskQueryRequest struct {
	// <ext>core:true</ext> 【第三方业务系统文件ID】第三方业务系统文件ID 【作用】 通过文件组的主文件查询文件组下所有电子签约文件发起信息。 【传参】 电子签约文件id和第三方业务系统文件id必传其一，均传入以电子签约文件id为准
	BizId string `json:"bizId,omitempty"`
	// <ext>core:true;format:string</ext> 【文件组主文件ID】文件组主文件ID 【作用】 通过文件组的主文件查询文件组下所有电子签约文件发起信息。 【传参】 电子签约文件id和第三方业务系统文件id必传其一，均传入以电子签约文件id为准
	Id *int64 `json:"id,omitempty"`
}

func (obj ContractMainsonTaskQueryRequest) GetUrl() string {
	return "/contract/mainson/task/query"
}

func (obj ContractMainsonTaskQueryRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewGetHttpParameter()
	parameter.AddParam("bizId", obj.BizId)
	parameter.AddParam("id", obj.Id)
	return parameter
}
